name: aws-s3-cp
description: "Copy files to or from s3."
inputs:
  target:
    description: "Target file."
    required: true
  dest:
    description: "Destination file."
    required: true
  accessKey:
    description: "AWS access key."
    required: true
  secretKey:
    description: "AWS secret key."
    required: true
  region:
    description: "AWS region."
    required: true
    default: us-gov-west-1
runs:
  using: "composite"
  steps:
  - name: "Copy files to/from S3."
    uses: act/common/aws/aws-cli@master
    with:
      args: s3 cp "${{ inputs.target }}" "${{ inputs.dest }}" --recursive
      accessKey: ${{ inputs.accessKey }}
      secretKey: ${{ inputs.secretKey }}
      region: ${{ inputs.region }}
